Highlighted

FDK for FrameMaker 2020 includes documentation for 2017 not 2020

Explorer ,
Aug 09, 2020

Copy link to clipboard

Copied

I downloaded and installed the 2020 FDK to checkout some property defintions to see if there had been any change. Of course you always open the fdkreference.pdf to look there first. It was the 2017 document, not the 2020. In fact all 3 FDK documents are for 2017 (I compared them). The other two remain as 7 documents, which is another problem all together.

 

The .h files I checked, appear to be correct (#define FDK_LIBRARY_VERSION 0x16000000), so it looks like only the documentation is not 2020.

 

The Reference guide available at this link, The complete API reference , does appear to be for 2020, but, bizarrely, has no version reference!

 

For what it is worth I have created a bug, FRMAKER-9169 , which you may care to vote up.

 

I have attached two screenshots showing the 2017 reference from the 2020 FDK and the reference downloaded from the link above.

 

Jon

TOPICS
Scripting

Views

65

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

FDK for FrameMaker 2020 includes documentation for 2017 not 2020

Explorer ,
Aug 09, 2020

Copy link to clipboard

Copied

I downloaded and installed the 2020 FDK to checkout some property defintions to see if there had been any change. Of course you always open the fdkreference.pdf to look there first. It was the 2017 document, not the 2020. In fact all 3 FDK documents are for 2017 (I compared them). The other two remain as 7 documents, which is another problem all together.

 

The .h files I checked, appear to be correct (#define FDK_LIBRARY_VERSION 0x16000000), so it looks like only the documentation is not 2020.

 

The Reference guide available at this link, The complete API reference , does appear to be for 2020, but, bizarrely, has no version reference!

 

For what it is worth I have created a bug, FRMAKER-9169 , which you may care to vote up.

 

I have attached two screenshots showing the 2017 reference from the 2020 FDK and the reference downloaded from the link above.

 

Jon

TOPICS
Scripting

Views

66

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 09, 2020 0
Advocate ,
Aug 10, 2020

Copy link to clipboard

Copied

IMHO there are a number of shortcomings or faults in the documentation for FM-16. Hence I have added the following as comment to the above mention bug report:

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 10, 2020 0
JonEBe LATEST
Explorer ,
Aug 31, 2020

Copy link to clipboard

Copied

Klaus,

 

I think IMHO is being way to nice as regards the documentation for the 2020 FDK. Apart from the very odd inclusion of the 2017 documentation in the FDK installer, the documentation available at https://www.adobe.com/devnet/framemaker.html, particularly the Programmer Guide (link starting with An Introduction ..) has some glaring errors that make you wonder about the release.

 

For example on page 18 there is the sentence 'In addition, you should have Microsoft Visual Studio 2017 installed on the system.' On page 28 there is the contrary statement 'To compile FDK clients for Windows, you must use Microsoft Visual Studio 2013.'

 

As well, on page 30 there is the following paragraph:

 

'Test your client application: Adobe FrameMaker installs two copies on a 64-bit compatibile operating system. The 32-bit version can be found at:
C:\Program Files (x86)\Adobe\Adobe FrameMaker 2019 (32 Bit)
This is the default location for 32-bit applications on Windows.
The 64 bit version can be found at:
C:\Program Files\Adobe\Adobe FrameMaker 2020'

 

AFAIK a 32-bit version of FM 2019 does not get installed with FM 2020, which appears to be only 64-bit! With FM2019 either the 32-bit version or the 64-bit version was installed. You could install both, as far as I know, but %appdata%\adobe\framemaker\15 would be shared between both versions.

 

The upside of working through this is that a test 64-bit FDK client will compile and link using VS2019 with either Visual Studio 2019 (v142) (or Visual Studio 2017 (v141)) selected as the platform toolset, despite what the documentation states. In fact if Visual Studio 2013 (v120) is selected as the platform toolset a linker error '1>fdk.lib(pathmap.obj) : error LNK2038: mismatch detected for '_MSC_VER': value '1900' doesn't match value '1800' in AdobeTest.obj'.

 

The additional library inclusion of cssparserinterface.lib is required if calling any functions in struct.lib, or linker errors will occur. This is not covered in the documentation.

 

I think the FrameMaker team can do better than this.

 

Jon

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 31, 2020 0